Bug 188198 - http installer doesn't follow 301 status
http installer doesn't follow 301 status
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-06 17:18 EDT by James Antill
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-14 14:40:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2006-04-06 17:18:14 EDT
Description of problem:
 If you accidentally say install from:

http://illiter.at/bordeaux-install-tree/

...then anaconda will start requesting URLs like:

http://illiter.at/bordeaux-install-tree//Fedora/base/updates.img

...and-httpd responds to these with a 301, telling the http client to goto:

http://illiter.at/bordeaux-install-tree/Fedora/base/updates.img

...anaconda never requests the new URLs, instead just failing.

Version-Release number of selected component (if applicable):
 Whatever comes with FC5

How reproducible:
 Always.
Comment 1 Jeremy Katz 2006-04-10 14:11:56 EDT
The http client in the loader is very minimal.  Chris was looking at some
options for improving it.
Comment 2 Chris Lumens 2006-09-14 14:40:14 EDT
This will be fixed in the next build of anaconda (and therefore FC6).

Note You need to log in before you can comment on or make changes to this bug.